From: Peymaneh Nejad <p.nejad@posteo.de>
Date: Thu, 29 Jul 2021 17:29:25 +0200
Subject: export SetInputStream function

Backporting for compatibility with golang-github-googke-cel-go
https://github.com/antlr/antlr4/pull/2816/files

---
 runtime/Go/antlr/lexer.go | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/runtime/Go/antlr/lexer.go b/runtime/Go/antlr/lexer.go
index 02deaf9..14cb877 100644
--- a/runtime/Go/antlr/lexer.go
+++ b/runtime/Go/antlr/lexer.go
@@ -278,7 +278,7 @@ func (b *BaseLexer) inputStream() CharStream {
 	return b.input
 }

-func (b *BaseLexer) setInputStream(input CharStream) {
+func (b *BaseLexer) SetInputStream(input CharStream) {
 	b.input = nil
 	b.tokenFactorySourcePair = &TokenSourceCharStreamPair{b, b.input}
 	b.reset()
